ENVISAT Product Reader API for C |

Field Single Element Access
Basic Data Access

This group of functions is for getting the elements of a field as a typed value.

This group of functions is for getting the elements of a field as a typed value.

Typed value means that the returned variable is of a certain variable type, e.g. such as short or float.
The type is located in the field info. See epr_get_field_type.
One field must have one type only.

Parameters

  field | the field, must not be `NULL`
  elem_index | the zero-based index of element to be returned, must not be negative.

Returns
  the typed value from given field